Package org.eclipse.emf.cdo.compare

## Class CDOComparisonScope.AllContents

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.compare.scope.AbstractComparisonScope
    - - org.eclipse.emf.cdo.compare.CDOComparisonScope
      - - org.eclipse.emf.cdo.compare.CDOComparisonScope.AllContents

- All Implemented Interfaces:
    `org.eclipse.emf.common.notify.Adapter`, `org.eclipse.emf.common.notify.Adapter.Internal`, `org.eclipse.emf.compare.scope.IComparisonScope`, `org.eclipse.emf.compare.scope.IComparisonScope2`, `org.eclipse.emf.compare.utils.IDiagnosable`
  Enclosing class:
    CDOComparisonScope

      public static class CDOComparisonScope.AllContents
      extends CDOComparisonScope

  Takes an arbitrary `object` (including `resource nodes`) and returns `matches` for all elements of its `content tree`. This scope has the advantage that the comparison can be rooted at specific objects that are different from (below of) the root resource. The disadvantage is that all the transitive children of this specific object are matched, whether they differ or not. Major parts of huge repositories can be loaded to the client side easily, if no attention is paid. The following method returns comparisons that are based on this scope algorithm:
  - `CDOCompareUtil.compare(CDOObject, CDOView, CDOView[])`
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.compare.CDOComparisonScope

      `CDOComparisonScope.AllContents, CDOComparisonScope.Minimal`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `org.eclipse.emf.common.notify.Adapter.Internal`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.compare.scope.AbstractComparisonScope

      `allInvolvedResourceURIs, diagnostic, left, nsURIs, origin, resourceURIs, right`

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `target`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AllContents​(org.eclipse.emf.common.notify.Notifier left, org.eclipse.emf.common.notify.Notifier right, org.eclipse.emf.common.notify.Notifier origin)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CDOComparisonScope.AllContents` | `create​(CDOObject left, CDOView rightView, CDOView[] originView)` | Takes an arbitrary `object` (including `resource nodes`) and returns `matches` for all elements of its `content tree`.
    `static CDOComparisonScope.AllContents` | `create​(CDOObject left, CDOView rightView, CDOView[] originView, CDOViewOpener viewOpener)` | Takes an arbitrary `object` (including `resource nodes`) and returns `matches` for all elements of its `content tree`.
    `java.util.Iterator<? extends org.eclipse.emf.ecore.EObject>` | `getChildren​(org.eclipse.emf.ecore.EObject eObject)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.compare.CDOComparisonScope

      `getCoveredEObjects, getCoveredResources, isResolveProxies, setResolveProxies`

    - ### Methods inherited from class org.eclipse.emf.compare.scope.AbstractComparisonScope

      `getAllInvolvedResourceURIs, getDiagnostic, getLeft, getNsURIs, getOrigin, getResourceURIs, getRight, isAdapterForType, setDiagnostic`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `getTarget, notifyChanged, setTarget, unsetTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllContents

          public AllContents​(org.eclipse.emf.common.notify.Notifier left,
                             org.eclipse.emf.common.notify.Notifier right,
                             org.eclipse.emf.common.notify.Notifier origin)

  - ### Method Detail

    - #### getChildren

          public java.util.Iterator<? extends org.eclipse.emf.ecore.EObject> getChildren​(org.eclipse.emf.ecore.EObject eObject)

    - #### create

          public static CDOComparisonScope.AllContents create​(CDOObject left,
                                                              CDOView rightView,
                                                              CDOView[] originView)

      Takes an arbitrary `object` (including `resource nodes`) and returns `matches` for all elements of its `content tree`. This scope has the advantage that the comparison can be rooted at specific objects that are different from (below of) the root resource. The disadvantage is that all the transitive children of this specific object are matched, whether they differ or not. Major parts of huge repositories can be loaded to the client side easily, if no attention is paid.

    - #### create

          public static CDOComparisonScope.AllContents create​(CDOObject left,
                                                              CDOView rightView,
                                                              CDOView[] originView,
                                                              CDOViewOpener viewOpener)

      Takes an arbitrary `object` (including `resource nodes`) and returns `matches` for all elements of its `content tree`. This scope has the advantage that the comparison can be rooted at specific objects that are different from (below of) the root resource. The disadvantage is that all the transitive children of this specific object are matched, whether they differ or not. Major parts of huge repositories can be loaded to the client side easily, if no attention is paid.
      Since:
        4.3